Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/rsakp.h File Reference

RSA Keypair, header. More...

`#include "rsapk.h"`

Go to the source code of this file.

## Data Structures
struct | rsakp
## Functions
int | rsakpMake (rsakp *kp, randomGeneratorContext *rgc, int nsize)
int | rsakpInit (rsakp *kp)
int | rsakpFree (rsakp *kp)
int | rsakpCopy (rsakp *dst, const rsakp *src)

## Detailed Description

RSA Keypair, header.

Definition in file rsakp.h.

## Function Documentation

int rsakpCopy | ( | rsakp * | dst,
|  | const rsakp * | src
| ) |

| Definition at line 193 of file rsakp.c.

int rsakpFree | ( | rsakp * | kp | ) |

| Definition at line 177 of file rsakp.c.

int rsakpInit | ( | rsakp * | kp | ) |

| Definition at line 159 of file rsakp.c.

int rsakpMake | ( | rsakp * | kp,
|  | randomGeneratorContext * | rgc,
|  | int | nsize
| ) |

| Definition at line 37 of file rsakp.c.